Bug 104398 - Please recommend "su -" instead of "su"
Please recommend "su -" instead of "su"
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: rhl-gsg (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Ha
John Ha
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-14 16:53 EDT by Miloslav Trmac
Modified: 2014-08-04 18:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-23 11:35:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miloslav Trmac 2003-09-14 16:53:28 EDT
rhl-gsg(EN)-9-Print-RHI(2003-02-20T01:05), Section 13.4. Changing Directories
with cd, bottom of page 92:
|To change to the root login and root directory, use the su command.
|        su
|Tip
|....
* "su" does not change the current directory at all
* Experience from #redhat indicates that newbies often run "su" and then
wonder why they can't use commands from /sbin or /usr/sbin (telinit,
ifconfig, route...). While the "Tip" paragraph describes the technical
difference, it does not explain that some commands are not available
without specifying the full path when "su -" is not used.

Please consider changing the manuals to always recommend "su -"
in favor of "su".

Locations that recommend "su", found via grepping the HTML version,
rhl-gsg(EN)-9-HTML-RHI (2003-02-20T01:05)
(assuming it has been always properly marked as <command>su</command>):

s1-managing-command-history.html:
 ... but remember a portion of the command, you can su to root, then at ...
s1-managing-locating.html:
 ... To update the database manually, log in as root (type su at a a shell
prompt ...
s1-navigating-cd.html: The reference at the top of the bug report
s1-navigating-owhership.html:
 ... when you are denied permission is to su to root, as you learned earlier. ...
s1-q-and-a-error.html:
 ... switch to the root user by running the following command: "su" After
entering ...
s1-q-and-a-runlevels.html:
 ... If you're in your user account, su to root by typing su. Now, type ...
s1-q-and-a-windows.html:
 ... log in as root (type su and then enter the root password) ...
s1-starting-doc-resources.html:
 ... type the following at the command line: "su" Press Enter. ...
s1-starting-intro-terms.html:
 su and su -: The command su gives you access.... [should note that some
commands are  not available without using full path]

I have found also one occurence of "su" in the IG:
rhl-ig-x86(EN)-9-HTML-RHI (2003-01-16T18:24-0400):
s1-trouble-after.html:
 ... become root by typing the su command. Now, type ...
Comment 1 John Ha 2003-09-23 11:35:28 EDT
Thank you for the suggestion. After conferring with team members, we do agree
that `su -` is the better solution. Thank you also for finding the places in the
documentation where `su` should be changed. I am closing this bug with the
resolution that this transition to `su -` from `su` will appear in a future
release of the document.

Thanks again for your feedback.
Comment 2 Sandra Moore 2003-09-23 12:06:59 EDT
The examples of <command>su</command> that should be changed to <command>su
-</command> have been fixed for this manual.

Thanks again for taking the time to report this and for helping us to improve
our documentation.

Best regards,
The Red Hat Enterprise Linux Documentation Team

Note You need to log in before you can comment on or make changes to this bug.